import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { IChartSettings } from '../common/IChartSettings';
export declare class DataService {
    private http;
    private headers;
    constructor(http: HttpClient);
    getItems(schema: IChartSettings, headers?: any): Observable<Object>;
    getBubbleItems(schema: IChartSettings): Observable<Object>;
    getItemsFromView(schema: IChartSettings): Observable<Object>;
    private httpDecode(encoded);
}
